__db_dbt Struct Reference

`#include <rpmdb/db_emu.h>`

## Data Fields

rpmuint32_t | size
void * | data
rpmuint32_t | flags

## Detailed Description

Definition at line 21 of file db_emu.h.

## Field Documentation

void* __db_dbt::data

Definition at line 23 of file db_emu.h.

Referenced by dbg_keyval(), dbiFindMatches(), dbt2set(), miFreeHeader(), rpmdbAdd(), rpmdbCount(), rpmdbFindByFile(), rpmdbFindFpList(), rpmdbGrowIterator(), rpmdbMireApply(), rpmdbRemove(), rpmmiGet(), rpmmiInit(), rpmmiNext(), scpResetKeys(), set2dbt(), sql_bind_data(), sql_bind_key(), sql_cget(), and unsatisfiedDepend().

rpmuint32_t __db_dbt::flags

Definition at line 26 of file db_emu.h.

Referenced by rpmmiGet(), and sql_cget().

rpmuint32_t __db_dbt::size

Definition at line 22 of file db_emu.h.

Referenced by dbg_keyval(), dbiFindMatches(), dbt2set(), miFreeHeader(), rpmdbAdd(), rpmdbCount(), rpmdbFindByFile(), rpmdbFindFpList(), rpmdbMireApply(), rpmdbRemove(), rpmmiGet(), rpmmiInit(), rpmmiNext(), set2dbt(), sql_bind_data(), sql_bind_key(), sql_cget(), and unsatisfiedDepend().

The documentation for this struct was generated from the following file:

- rpmdb/db_emu.h